%define Product SecureMailHost
%define product securemailhost
%define name    zope-%{Product}
%define version 1.1
%define release %mkrel 2

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Reimplementation of the standard MailHost
License:    ZPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{Product}-%{version}.tar.gz
Requires:   zope >= %{zope_minver}
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
SecureMailHost is a reimplementation of the standard MailHost with some 
security and usability enhancements:

  * ESMTP login on the mail server based on the MailHost from
    http://www.zope.org/Members/bowerymarc

  * Start TLS (ssl) connection if possible

  * Usage of Python 2.3's email package which has multiple benefits like 
    easy to generate multi part messages including fance HTML emails and 
    with images.

  * REMOVED
    Releases are shipped with a compatibility version of email for older
    pythons.

  * A new secureSend() method that separates headers like mail to, mail from
    from the body text. You don't need to mingle body text and headers any 
    more.

  * Email address validation based on the code form PloneTool for mail from,
    mail to, carbon copy and blin carbon copy to prevent spam attacks.
    (Only for secureSend()!)

  * Message-Id and X-Mailer header generation to lower the spam hit points of
    Spam Assassin.

  * REMOVED
     An async mailer thread is using a new thread to send emails including a
    separate Mail class and a MailQueue with auto-backup on the file system.
    The separate mail thread will prevent Zope from blocking while connecting
    to the external SMTP server.
    (Disabled by default)

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
         service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
         service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-2mdv2008.1
+ Revision: 171202
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2008.0
+ Revision: 88560
- new version


* Tue Aug 08 2006 glehmann
+ 08/08/06 14:04:14 (54459)
update to 1.0.4

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:28:07 (53756)
- Increase release

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:24:09 (53754)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:03:44 (42796)
Import zope-SecureMailHost

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.2-1mdk
- 1.0.2

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0.1-1mdk
- new release 1.0.1
- fix URL and source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-0.rc1.2mdk
- fix path on x86_64

* Sat May 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-0.rc1.1mdk
- initial package

